import React from 'react';
import { Table, Button } from 'semantic-ui-react';

const ListItem = ({ i18n, data, delWristband, editWristband }) => {

    return (
        <Table.Row>
            <Table.Cell>
                <Button content="Edit" basic onClick={()=>{editWristband(1, data)}} />
                <Button content="Delete" basic onClick={()=>{delWristband(data.uid)}} />
            </Table.Cell>
            <Table.Cell>{data.mac}</Table.Cell>
            <Table.Cell>{data.name}</Table.Cell>
        </Table.Row>
    )
}

export default ListItem;